;; Make X68-raw-map to handle X68000 terminal function keys

(defvar X68-raw-map (make-sparse-keymap) "*Keymap for C-^ encoded keyboard")

(define-key X68-raw-map "A" 'beginning-of-buffer) ; F1
(define-key X68-raw-map "B" 'end-of-buffer)	  ; F2
(define-key X68-raw-map "C" 'replace-string)	  ; F3
(define-key X68-raw-map "D" 'isearch-forward)	  ; F4
(define-key X68-raw-map "E" "?????")		  ; F5
(define-key X68-raw-map "F" 'set-mark-command)    ; F6
(define-key X68-raw-map "G" 'kill-region)	  ; F7
(define-key X68-raw-map "H" 'copy-region-as-kill) ; F8
(define-key X68-raw-map "I" 'yank)		  ; F9
(define-key X68-raw-map "J" 'suspend-emacs)	  ; F10
(define-key X68-raw-map "a" 'shrink-window)	  ; F11
(define-key X68-raw-map "b" 'enlarge-window)	  ; F12
(define-key X68-raw-map "c" "?????")		  ; F13
(define-key X68-raw-map "d" 'isearch-backward)	  ; F14
(define-key X68-raw-map "e" "?????")		  ; F15
(define-key X68-raw-map "f" "?????")		  ; F16
(define-key X68-raw-map "g" "?????")		  ; F17
(define-key X68-raw-map "h" "?????")		  ; F18
(define-key X68-raw-map "i" "?????")		  ; F19
(define-key X68-raw-map "j" "?????")		  ; F20
(define-key X68-raw-map "K" 'scroll-up)	          ; ROLLUP
(define-key X68-raw-map "L" 'scroll-down)         ; ROLLDOWN
(define-key X68-raw-map "M" "?????")		  ; INS
(define-key X68-raw-map "N" 'delete-char)	  ; DEL
(define-key X68-raw-map "O" 'previous-line)	  ; UP
(define-key X68-raw-map "P" 'backward-char)	  ; LEFT
(define-key X68-raw-map "Q" 'forward-char)	  ; RIGHT
(define-key X68-raw-map "R" 'next-line)	  	  ; DOWN
(define-key X68-raw-map "T" 'help-for-help)	  ; HELP
(define-key X68-raw-map "U" 'other-window)	  ; HOME
(define-key X68-raw-map "V" 'undo)		  ; UNDO

(define-key global-map "\C-^" X68-raw-map)		; Install X68-raw-map
